Bug 89878 - Suggestion for RHL-RG (sendmail chapter)
Suggestion for RHL-RG (sendmail chapter)
Product: Red Hat Linux
Classification: Retired
Component: rhl-rg (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Andrius Benokraitis
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2003-04-29 05:20 EDT by Razvan Sandu
Modified: 2015-07-14 00:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-11 12:42:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Razvan Sandu 2003-04-29 05:20:18 EDT
Description of problem:

Configuring Sendmail

Version-Release number of selected component (if applicable):

rhl-rg(EN)-8.0-Print-RHI (2002-08-14T22:29-0400))

Expected results:

Please include more detailed information about configuring Sendmail (editing the
sendmail.mc file) for machines that aren't members of an official domain.

The problem reffers to using such a Linux machine for:

- sending e-mail for all users defined in /etc/password, with a valid From: and
Reply-To: address (both header & envelope)

- explaining how to correctly configure sendmail (headers & envelope) if one is
defined as "johndoe" on a machine wihout an official domain and has a mailbox
"jdoe" located at the ISP

Some programs, like FaxMail (included in older versions of Red Hat Linux),
return an error if a fax-by-mail is sent from an e-mail address that has no
valid SMTP envelope.

Razvan <rsandu@go.ro>
Comment 1 Johnray Fuller 2003-04-29 18:48:46 EDT
I am not sure I understand what you want here. 

1> You want to configure sendmail on a host that is not part of a official
domain? Explain what you mean by this. Do you mean your ISP's domain?

2> You want to send emails for folks in /etc/password w/o a domain name?

3> You want to configure sendmail to talk to an ISP mail server and map a
particular ISP user to local accounts?

This seems like something that is an edge case configuration. Most mail clients
can handle this sort of thing.

Anyway, verify that I understand what you are asking and we'll go from there.

Comment 2 Johnray Fuller 2004-08-24 17:33:54 EDT
Still waiting on information.

In the mean time, I am transferring this to the new maintainer.

Comment 3 Andrius Benokraitis 2004-10-11 12:42:27 EDT
Updated for RHEL4 Reference Guide.

Note You need to log in before you can comment on or make changes to this bug.